Botan 2.19.5 Crypto and TLS for C&

Classes | Namespaces | Typedefs | Functions
curve25519.h File Reference
`#include <botan/pk_keys.h>`

Go to the source code of this file.

## Classes
class | Botan::Curve25519_PrivateKey
class | Botan::Curve25519_PublicKey

## Namespaces
namespace | Botan

## Typedefs
typedef Curve25519_PrivateKey | Botan::X25519_PrivateKey
typedef Curve25519_PublicKey | Botan::X25519_PublicKey

## Functions
void | Botan::curve25519_basepoint (uint8_t mypublic[32], const uint8_t secret[32])
void | Botan::curve25519_donna (uint8_t mypublic[32], const uint8_t secret[32], const uint8_t basepoint[32])